Skip to main content
GET
/
admin
/
workflows-executions
/
{workflow_id}
/
{transaction_id}
cURL
curl '{backend_url}/admin/workflows-executions/{workflow_id}/{transaction_id}' \
-H 'Authorization: Bearer {jwt_token}'
{
  "workflow_execution": {
    "id": "<string>",
    "workflow_id": "<string>",
    "transaction_id": "<string>",
    "execution": {
      "steps": {}
    },
    "context": {
      "compensate": {},
      "errors": [
        {
          "error": {},
          "action": "<string>",
          "handlerType": "<string>"
        }
      ],
      "data": {
        "invoke": {},
        "payload": "<unknown>"
      }
    },
    "state": "not_started",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string
required

The workflows execution's workflow id.

transaction_id
string
required

The workflows execution's transaction id.

Query Parameters

fields
string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Response

OK

The workflow execution's details.

workflow_execution
object
required

The workflows execution's details.